﻿@inherits LayoutComponentBase

<MudThemeProvider Theme="DefaultTheme" />
<MudDialogProvider />
<MudSnackbarProvider />

<MudLayout>
    <MudAppBar Elevation="0">
        <MudIconButton Icon="@Icons.Material.Filled.Menu" Color="Color.Inherit" Edge="Edge.Start" OnClick="@((e) => DrawerToggle())" />
        <MudText Typo="Typo.h5">開発サポートツール</MudText>
        <MudSpacer />
        <MudIconButton Icon="@Icons.Custom.Brands.MudBlazor" Color="Color.Inherit" Link="https://mudblazor.com/wasm/" Target="_blank" />
        <MudIconButton Icon="@Icons.Custom.Brands.GitHub" Color="Color.Inherit" Link="https://github.com/Garderoben/MudBlazor" Target="_blank" />
    </MudAppBar>
    <MudDrawer @bind-Open="_drawerOpen" Elevation="1">
        <MudDrawerHeader>
            <MudText Typo="Typo.h6">メニュー</MudText>
        </MudDrawerHeader>
        <NavMenu />
    </MudDrawer>
    <MudMainContent>
        <MudContainer MaxWidth="MaxWidth.Large" Class="my-16 pt-16">
            @Body
        </MudContainer>
    </MudMainContent>
</MudLayout>

@code { bool _drawerOpen = true;
    MudTheme DefaultTheme = new MudTheme()
    {
        Palette = new Palette()
        {
            Primary = "#0072ce",
            Secondary = "#00bf6f",
            AppbarBackground = "#0072ce",
            DrawerBackground = "#F5F5F5",
            Background = "#F5F5F5",
        }
    };

    void DrawerToggle()
    {
        _drawerOpen = !_drawerOpen;
    } }